Bug 639292 - Review Request: erlang-etorrent - Erlang BitTorrent client and library
Review Request: erlang-etorrent - Erlang BitTorrent client and library
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
BuildFails
:
Depends On: 638909 639263
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-01 07:57 EDT by Peter Lemenkov
Modified: 2012-06-30 00:34 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-30 00:34:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Lemenkov 2010-10-01 07:57:32 EDT
Spec URL: http://peter.fedorapeople.org/erlang-etorrent.spec
SRPM URL: http://peter.fedorapeople.org/erlang-etorrent-1.1.1-1.fc12.src.rpm
Description: This is a BitTorrent client and a library written in Erlang. The focus is on
robustness and scalability in number of torrents rather than in pure speed.
Etorrent is mostly meant for unattended operation, where one just specifies
what files to download and gets a notification when they are.

I'll provide Koji scratchuild and rpmlint as soon as all necessary buildrequires will be available in Koji
Comment 2 Peter Lemenkov 2010-12-05 13:49:27 EST
rpmlint output:

sulaco ~/rpmbuild/SPECS: rpmlint ../RPMS/ppc/erlang-etorrent-1.1.2-1.fc12.ppc.rpm 
erlang-etorrent.ppc: E: explicit-lib-dependency erlang-stdlib
erlang-etorrent.ppc: E: no-binary
erlang-etorrent.ppc: W: only-non-binary-in-usr-lib
erlang-etorrent.ppc: W: no-manual-page-for-binary etorrentctl
1 packages and 0 specfiles checked; 2 errors, 2 warnings.
sulaco ~/rpmbuild/SPECS:

The first three messages are common for almost all erlang-related applications. Unfortunately, despite of whether package is arch-dependent or not it must be installed into %{_libdir} which is arch-dependent. The message "explicit-lib-dependency" should be ignored too - erlang/otp dependencies are still cannot be auto-detected (I'm working on this - expect something working in F-15 or F-16).

The last message means exactly what it says - there are no man-pages for this package yet.
Comment 3 anish 2011-08-25 04:37:08 EDT
Here's an unofficial review for F15,

+ rpmlint output

rpmlint output is not silent 
[makerpm@dhcp201-181 SRPMS]$ rpmlint erlang-etorrent-1.1.2-1.fc12.src.rpm 
erlang-etorrent.src: W: spelling-error %description -l en_US scalability -> sociability, implacability, capability
erlang-etorrent.src: W: invalid-url Source0: jlouis-etorrent-v1.1.2-0-g229f2de.tar.gz
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
 

+ Package Naming Guidelines
    * Spec file name is erlang-etorrent.spec and srpm name is erlang-etorrent-1.1.2-1.fc12.src.rpm which is okie 
    
+ Used global variables in the spec file which is good 

+ Sepc file is in American English 

+ License mentioned in spec file is "BSD" which looks okie 

+ Installed the erlang-etorrent-1.1.2-1.fc15.x86_64.rpm into the system following files are getting updated onto the   system 
       /usr/sbin/etorrentctl
       /usr/lib64/erlang/lib/etorrent-1.1.2
       /etc/etorrent
Comment 4 Jason Tibbitts 2012-04-24 21:53:30 EDT
This fails to build for me on rawhide and on F17:

rebar compile
==> gproc-0 (compile)
ERROR: OTP release R15B does not match required regex R13B04|R14
make: *** [compile] Error 1

Not really sure what that means, but I guess the erlang in rawhide is too new to work with this code.

Please clear the whiteboard if providing a package which builds.
Comment 5 Jason Tibbitts 2012-06-29 18:25:30 EDT
It's been two months; should I just close this out?
Comment 6 Peter Lemenkov 2012-06-30 00:34:03 EDT
(In reply to comment #5)
> It's been two months; should I just close this out?

Hello.
Yes, I think it should be closed now. I plan to return to it later but right now I'm not using it and don't have much time to maintain.

Note You need to log in before you can comment on or make changes to this bug.